---
updatedAt: 2026-06-21T14:37:28.000Z
agentTools:
  projectIndex: https://docs.tomorrow.io/llms.txt
---

# Weather Timelines

The Timeline endpoints will allow you to query weather conditions (from any of the data layers in their current plan) by specifying the `location`,  `fields` ("precipitationIntensity", "pollenTree", ...), `timesteps` ("1m", "1h", "1d", ...) and the `startTime` and `endTime`, such that the response includes multiple timelines, one for each timestep -  all within a single call to the Tomorrow\.io REST Weather API.

`timesteps`: "*best*" - is deprecated and returns `1h`

**Polygon and Polyline limits:**

* Polygon - 500 square km and no more than 70km per segment.
* Polyline - 70 km long.
* Max number of vertices - 550.

**Retrieve Timelines "Basic"** is a query param API call. It only works for lat/long location types.

If you have a geoJSON location (GeoJSON of a Point, LineString or Polygon), use the **Retrieve Timelines (Advanced**). This is a body param API call.

If the location is a Polygon or a Polyline, you can specify whether you want the min/max/avg values throughout that coverage area by adding them as a suffix to any of the available fields (`precipitationIntensityMax`), and if not specified the response will default to `Max`.